Get checklist and templates
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 100,
"page": 0
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist"
payload = {
"pageSize": 100,
"page": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pageSize: 100, page: 0})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": {
"checklist": [
{
"id": 123,
"title": "<string>",
"checkmark": true,
"note": "<string>",
"checkDate": "2025-10-07T10:24:41.143Z",
"uncheckDate": "2025-10-07T10:24:41.143Z"
}
],
"templateEntries": [
{
"templateEntryId": 123,
"vehicleId": 123,
"title": "<string>",
"checkmark": true,
"note": "<string>",
"checkDate": "2025-10-07T10:24:41.143Z",
"uncheckDate": "2025-10-07T10:24:41.143Z"
}
]
},
"pagination": {
"pageSize": 100,
"pageNumber": 0,
"totalEntries": 1
}
}Checklist
Get checklist and templates
Get the entire checklist and template entries of a vehicle
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
checklist
Get checklist and templates
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
Body
application/json
The request body contains the page of the results that should be retrieved
⌘I

